# TileOS
### Modern Linux distribution with tiling window managers!

[Mastodon](https://mastodon.social/@tile_os) | [Telegram](https://t.me/tile_os) | [Development builds](https://downloads.tile-os.com/testing/)

TileOS is a modern Linux distribution based on Debian GNU/Linux Stable and using tiling window managers as its user interface. TileOS is perfect for both beginners who want to try tiling window manager environments and experienced Linux users who want a stable, comfortable and flexible keyboard-oriented user environment.

<img align="left-center" src="sway.png" width="500" height="255">
<img align="right-center" src="river.png" width="500" height="255">

Some of the features:

- Stable and solid Debian base with some packages backported from Debian Testing;
- Fully pre-configured desktop based on a tiling window manager (or Wayland compositor);
- Fresh and stable graphics drivers (Mesa) backported from Debian Testing;
- Many device drivers and non-free firmwares are included in the base system;
- Included some performance optimizations as well as some system tweaks ([see](https://gitlab.com/tile-os/tileos-system-adjustments));
- Included additional repositories for installing programs not found in Debian, such as OnlyOffice, VirtualBox, Librewolf, Visual Studio Code and Brave;
- Ability to install additional software in the Calamares installer.

### System requirements:

* CPU: Dual-core CPU with 1.6 GHz
* RAM: 1 GB (recommended 2GB)
* Storage space: 20 GB
* GPU: Any Intel or AMD gpu (Nvidia cards required additional settings and **NOT** officially supported.)

### Known issues

* Secure Boot is not officially supported and may break your system! Use it on your own risk!
* The installer currently has problems installing on encrypted partitions.
* The installer currently has installation issues when selecting a non-Latin keyboard layout (e.g. Russian). You need to choose English keyboard layout while installing the system (system region is not matter and you can choose one that you need).
* Having boot problems on VMware virtual machines.

### Development

Development is currently focused on the TileOS [Sway](https://github.com/swaywm/sway) (which is the flagship edition) and [River](https://github.com/riverwm/river) editions. In the future, it is planned to add editions with the [Qtile](https://qtile.org/) (on Wayland), [Hyprland](https://hyprland.org/), [SwayFX](https://github.com/WillPower3309/swayfx), [i3](https://github.com/i3/i3) and [Bspwm](https://github.com/baskerville/bspwm) window managers. TileOS is a universal base for creating a distribution edition with any tiling window manager. Instructions on how to get started and submit your own TileOS flavor will be posted at a later date.
